--
-- PostgreSQL database dump
--

-- Started on 2009-03-25 16:03:08

SET client_encoding = 'WIN1252';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- TOC entry 8 (class 2615 OID 16682)
-- Name: trafficobjects_core; Type: SCHEMA; Schema: -; Owner: to
--

CREATE SCHEMA trafficobjects_core;
ALTER SCHEMA trafficobjects_core OWNER TO "to";

CREATE SCHEMA trafficobjects_tables;
ALTER SCHEMA trafficobjects_tables OWNER TO "to";

SET search_path = trafficobjects_core, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1559 (class 1259 OID 16684)
-- Dependencies: 8
-- Name: chart_series; Type: TABLE; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

CREATE TABLE chart_series (
    chart_id bigint NOT NULL,
    series_id bigint NOT NULL
);


ALTER TABLE trafficobjects_core.chart_series OWNER TO "to";

--
-- TOC entry 1580 (class 1259 OID 34990)
-- Dependencies: 8
-- Name: charts; Type: TABLE; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

CREATE TABLE charts (
    chart_id bigint NOT NULL,
    view_id bigint NOT NULL,
    chart_name character varying(32),
    chart_owner_name character varying(32),
    time_granularity integer,
    show_as_percentage character(1),
    history_overlay_millis bigint,
    "position" smallint,
    timespan bigint
);


ALTER TABLE trafficobjects_core.charts OWNER TO "to";

--
-- TOC entry 1571 (class 1259 OID 19871)
-- Dependencies: 8
-- Name: datasources; Type: TABLE; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

CREATE TABLE datasources (
    table_name text NOT NULL,
    data_source_type_name text NOT NULL,
    data_source_ip character varying(16) NOT NULL,
    data_source_port integer NOT NULL,
    data_source_user character varying(15) NOT NULL,
    data_source_password character varying(15) NOT NULL,
    sequence_format character varying(32),
    max_sequence_range_retrieval bigint,
    sweep_amount bigint NOT NULL,
    time_granularity_secs integer NOT NULL
);


ALTER TABLE trafficobjects_core.datasources OWNER TO "to";

--
-- TOC entry 1568 (class 1259 OID 19801)
-- Dependencies: 8
-- Name: datasources_rdbms; Type: TABLE; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

CREATE TABLE datasources_rdbms (
    table_name character varying(32) NOT NULL,
    database_name character varying(32) NOT NULL,
    database_schema_name character varying(32) NOT NULL,
    database_table_name character varying(32) NOT NULL,
    sequence_column_name character varying(32) NOT NULL
);


ALTER TABLE trafficobjects_core.datasources_rdbms OWNER TO "to";

--
-- TOC entry 1569 (class 1259 OID 19806)
-- Dependencies: 8
-- Name: datasources_textfile; Type: TABLE; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

CREATE TABLE datasources_textfile (
    table_name character varying(32) NOT NULL,
    file_name character varying(32) NOT NULL,
    file_path character varying(512) NOT NULL,
    parser_type character varying(32) NOT NULL,
    column_delimiters character varying(16),
    column_quotes character varying(16),
    data_start_line integer NOT NULL,
    header_line integer,
    file_action_after_processed character varying(32) NOT NULL,
    file_extension_after_processed character varying(32)
);


ALTER TABLE trafficobjects_core.datasources_textfile OWNER TO "to";

--
-- TOC entry 1560 (class 1259 OID 16714)
-- Dependencies: 8
-- Name: series; Type: TABLE; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

CREATE TABLE series (
    series_id bigint NOT NULL,
    series_name character varying(32) NOT NULL,
    series_owner_name character varying(32) NOT NULL,
    table_name character varying(32)
);


ALTER TABLE trafficobjects_core.series OWNER TO "to";

--
-- TOC entry 1566 (class 1259 OID 16870)
-- Dependencies: 8
-- Name: series_dimensions; Type: TABLE; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

CREATE TABLE series_dimensions (
    series_id bigint NOT NULL,
    dimension_name text NOT NULL,
    dimension_value text NOT NULL
);


ALTER TABLE trafficobjects_core.series_dimensions OWNER TO "to";

--
-- TOC entry 1561 (class 1259 OID 16720)
-- Dependencies: 8
-- Name: series_measures; Type: TABLE; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

CREATE TABLE series_measures (
    series_measure_id bigint NOT NULL,
    chart_id bigint NOT NULL,
    series_id bigint NOT NULL,
    measure_name character varying(32),
    measure_function character varying(32),
    color integer,
    group_number smallint,
    visible character(1)
);


ALTER TABLE trafficobjects_core.series_measures OWNER TO "to";

--
-- TOC entry 1562 (class 1259 OID 16723)
-- Dependencies: 8
-- Name: table_column_lov; Type: TABLE; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

CREATE TABLE table_column_lov (
    table_name character varying(32) NOT NULL,
    column_name character varying(32) NOT NULL,
    value text NOT NULL
);


ALTER TABLE trafficobjects_core.table_column_lov OWNER TO "to";

--
-- TOC entry 1563 (class 1259 OID 16729)
-- Dependencies: 8
-- Name: table_columns; Type: TABLE; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

CREATE TABLE table_columns (
    table_name character varying(32) NOT NULL,
    column_name character varying(32) NOT NULL,
    "position" integer NOT NULL,
    column_data_type character varying(32) NOT NULL,
    column_value_type character varying(32),
    column_format character varying(64)
);


ALTER TABLE trafficobjects_core.table_columns OWNER TO "to";

--
-- TOC entry 1579 (class 1259 OID 34627)
-- Dependencies: 8
-- Name: table_update_log; Type: TABLE; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

CREATE TABLE table_update_log (
    job_id bigint NOT NULL,
    session_id bigint NOT NULL,
    table_name text NOT NULL,
    start_sequence bigint,
    end_sequence bigint,
    start_timestamp timestamp with time zone,
    highest_retrieved_sequence bigint,
    lowest_retrieved_timestamp timestamp with time zone,
    highest_retrieved_timestamp timestamp with time zone,
    retrieved_records_count integer,
    highest_retrieved_sequence_notinfuture bigint,
    highest_retrieved_timestamp_notinfuture timestamp with time zone
);


ALTER TABLE trafficobjects_core.table_update_log OWNER TO "to";

--
-- TOC entry 1570 (class 1259 OID 19829)
-- Dependencies: 8
-- Name: tables; Type: TABLE; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

CREATE TABLE tables (
    table_name character varying(32) NOT NULL,
    time_column_name character varying(32) NOT NULL,
    timezone_column_name character varying(64),
    update_interval_mins integer NOT NULL,
    status character varying(15) NOT NULL,
    retention_days smallint NOT NULL
);


ALTER TABLE trafficobjects_core.tables OWNER TO "to";

--
-- TOC entry 1567 (class 1259 OID 19584)
-- Dependencies: 8
-- Name: task_log; Type: TABLE; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

CREATE TABLE task_log (
    task_id bigint NOT NULL,
    task_name text,
    job_id bigint NOT NULL,
    job_name text,
    session_id bigint NOT NULL,
    scheduled_time timestamp with time zone,
    start_time timestamp with time zone,
    duration_secs bigint,
    status text,
    status_message text
);


ALTER TABLE trafficobjects_core.task_log OWNER TO "to";

--
-- TOC entry 1564 (class 1259 OID 16747)
-- Dependencies: 8
-- Name: users; Type: TABLE; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

CREATE TABLE users (
    user_name text NOT NULL,
    user_views text
);


ALTER TABLE trafficobjects_core.users OWNER TO "to";

--
-- TOC entry 1565 (class 1259 OID 16750)
-- Dependencies: 8
-- Name: views; Type: TABLE; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

CREATE TABLE views (
    view_id bigint NOT NULL,
    view_name character varying(32) NOT NULL,
    view_owner_name character varying(32) NOT NULL,
    "position" smallint,
    number_of_columns integer
);


ALTER TABLE trafficobjects_core.views OWNER TO "to";

--
-- TOC entry 23 (class 1255 OID 16683)
-- Dependencies: 8
-- Name: clean_all(); Type: FUNCTION; Schema: trafficobjects_core; Owner: postgres
--

CREATE FUNCTION clean_all() RETURNS void
    AS $$truncate table traffic_objects.chart_series cascade;;
truncate table traffic_objects.charts cascade;
truncate table traffic_objects.datasource_rdbms cascade;
truncate table traffic_objects.datasource_textfile cascade;
truncate table traffic_objects.series cascade;
truncate table traffic_objects.series_dimensions cascade;
truncate table traffic_objects.series_measures cascade;
truncate table traffic_objects.table_column_lov cascade;
truncate table traffic_objects.table_columns cascade;
truncate table traffic_objects.table_update_schedule cascade;
truncate table traffic_objects.tables cascade;$$
    LANGUAGE sql;


ALTER FUNCTION trafficobjects_core.clean_all() OWNER TO postgres;

--
-- TOC entry 1860 (class 2606 OID 16757)
-- Dependencies: 1559 1559
-- Name: chart_series_pk; Type: CONSTRAINT; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

ALTER TABLE ONLY chart_series
    ADD CONSTRAINT chart_series_pk PRIMARY KEY (series_id);


--
-- TOC entry 1888 (class 2606 OID 34994)
-- Dependencies: 1580 1580
-- Name: charts_pk; Type: CONSTRAINT; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

ALTER TABLE ONLY charts
    ADD CONSTRAINT charts_pk PRIMARY KEY (chart_id);


--
-- TOC entry 1884 (class 2606 OID 19878)
-- Dependencies: 1571 1571
-- Name: datasources_pkey; Type: CONSTRAINT; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

ALTER TABLE ONLY datasources
    ADD CONSTRAINT datasources_pkey PRIMARY KEY (table_name);


--
-- TOC entry 1878 (class 2606 OID 19805)
-- Dependencies: 1568 1568
-- Name: datasources_rdbms_pk; Type: CONSTRAINT; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

ALTER TABLE ONLY datasources_rdbms
    ADD CONSTRAINT datasources_rdbms_pk PRIMARY KEY (table_name);


--
-- TOC entry 1880 (class 2606 OID 19810)
-- Dependencies: 1569 1569
-- Name: datasources_textfile_pk; Type: CONSTRAINT; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

ALTER TABLE ONLY datasources_textfile
    ADD CONSTRAINT datasources_textfile_pk PRIMARY KEY (table_name);


--
-- TOC entry 1874 (class 2606 OID 16877)
-- Dependencies: 1566 1566 1566 1566
-- Name: series_dimensions_pk; Type: CONSTRAINT; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

ALTER TABLE ONLY series_dimensions
    ADD CONSTRAINT series_dimensions_pk PRIMARY KEY (series_id, dimension_name, dimension_value);


--
-- TOC entry 1864 (class 2606 OID 16775)
-- Dependencies: 1561 1561
-- Name: series_measures_pk; Type: CONSTRAINT; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

ALTER TABLE ONLY series_measures
    ADD CONSTRAINT series_measures_pk PRIMARY KEY (series_measure_id);


--
-- TOC entry 1862 (class 2606 OID 16777)
-- Dependencies: 1560 1560
-- Name: series_pk; Type: CONSTRAINT; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

ALTER TABLE ONLY series
    ADD CONSTRAINT series_pk PRIMARY KEY (series_id);


--
-- TOC entry 1866 (class 2606 OID 16779)
-- Dependencies: 1562 1562 1562 1562
-- Name: table_column_lov_pkey; Type: CONSTRAINT; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

ALTER TABLE ONLY table_column_lov
    ADD CONSTRAINT table_column_lov_pkey PRIMARY KEY (table_name, column_name, value);


--
-- TOC entry 1868 (class 2606 OID 16781)
-- Dependencies: 1563 1563 1563
-- Name: table_columns_pk; Type: CONSTRAINT; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

ALTER TABLE ONLY table_columns
    ADD CONSTRAINT table_columns_pk PRIMARY KEY (table_name, column_name);


--
-- TOC entry 1886 (class 2606 OID 34634)
-- Dependencies: 1579 1579 1579
-- Name: table_update_log_pk; Type: CONSTRAINT; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

ALTER TABLE ONLY table_update_log
    ADD CONSTRAINT table_update_log_pk PRIMARY KEY (job_id, session_id);


--
-- TOC entry 1882 (class 2606 OID 19833)
-- Dependencies: 1570 1570
-- Name: tables_pk; Type: CONSTRAINT; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

ALTER TABLE ONLY tables
    ADD CONSTRAINT tables_pk PRIMARY KEY (table_name);


--
-- TOC entry 1876 (class 2606 OID 19591)
-- Dependencies: 1567 1567
-- Name: task_log_pkey; Type: CONSTRAINT; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

ALTER TABLE ONLY task_log
    ADD CONSTRAINT task_log_pkey PRIMARY KEY (task_id);


--
-- TOC entry 1870 (class 2606 OID 19384)
-- Dependencies: 1564 1564
-- Name: users_pk; Type: CONSTRAINT; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_pk PRIMARY KEY (user_name);


--
-- TOC entry 1872 (class 2606 OID 16793)
-- Dependencies: 1565 1565
-- Name: views_pkey; Type: CONSTRAINT; Schema: trafficobjects_core; Owner: to; Tablespace: 
--

ALTER TABLE ONLY views
    ADD CONSTRAINT views_pkey PRIMARY KEY (view_id);


--
-- TOC entry 1890 (class 2606 OID 34995)
-- Dependencies: 1871 1565 1580
-- Name: charts_fkey; Type: FK CONSTRAINT; Schema: trafficobjects_core; Owner: to
--

ALTER TABLE ONLY charts
    ADD CONSTRAINT charts_fkey FOREIGN KEY (view_id) REFERENCES views(view_id) ON DELETE CASCADE;


--
-- TOC entry 1889 (class 2606 OID 16878)
-- Dependencies: 1566 1560 1861
-- Name: series_dimensions_fkey; Type: FK CONSTRAINT; Schema: trafficobjects_core; Owner: to
--

ALTER TABLE ONLY series_dimensions
    ADD CONSTRAINT series_dimensions_fkey FOREIGN KEY (series_id) REFERENCES series(series_id) ON DELETE CASCADE;


-- Completed on 2009-03-25 16:03:08

--
-- PostgreSQL database dump complete
--

